let table;
let Bug = 0;
let Dark = 0;
let Dragon = 0;
let Electric = 0;
let Fire = 0;
let Grass = 0;
let Ground = 0;
let Normal = 0;
let Psychic = 0;
let Rock = 0;
let Steel = 0;
let Water = 0;
let totalPokemon = 0;
var typeList = ['Bug', 'Dark', 'Dragon', 'Electric', 'Fire', 'Grass', 'Ground', 'Normal', 'Psychic', 'Rock', 'Steel', 'Water'];
let countList = [];
let index = 0;

let url =
  'https://gist.githubusercontent.com/Ahuynh111/1e482a97d70acac597f636b109d9d74e/raw/ea243b11086e226c5f416302f931d3c77e42ac8d/PokemonStats.csv';

function preload() {
  table = loadTable(url, 'csv', 'header');
}
function setup() {
  // put setup code here
  createCanvas(450, 425);
  rowCount = table.getRowCount();

  var pokemon = table.getColumn('Name');
  var type = table.getColumn('Type 1');

  //Bug types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Bug"){
      Bug = Bug+1;
    }
  }
  countList[index++] = Bug;

  //Dark types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Dark"){
      Dark = Dark+1;
    }
  }
  countList[index++] = Dark;


  //Dragon types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Dragon"){
      Dragon = Dragon+1;
    }
  }
  countList[index++] = Dragon;

  //Electric types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Electric"){
      Electric = Electric+1;
    }
  }
  countList[index++] = Electric;

  //Fire types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Fire"){
      Fire = Fire+1;
    }
  }
  countList[index++] = Fire;


  //Grass types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Grass"){
      Grass = Grass+1;
    }
  }
  countList[index++] = Grass;

  //Ground types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Ground"){
      Ground = Ground+1;
    }
  }
  countList[index++] = Ground;

  //Normal types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Normal"){
      Normal = Normal+1;
    }
  }
  countList[index++] = Normal;

  //Psychic types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Psychic"){
      Psychic = Psychic+1;
    }
  }
  countList[index++] = Psychic;

  //Rock types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Rock"){
      Rock = Rock+1;
    }
  }
  countList[index++] = Rock;

  //Steel types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Steel"){
      Steel = Steel+1;
    }
  }
  countList[index++] = Steel;

  //Water types
  for(var i = 0; i < pokemon.length; i++){
    if (type[i] == "Water"){
      Water = Water+1;
    }  
  }
  countList[index++] = Water;
}

function draw() {
  background(230);
  // Draw x Axis
  line(90,310,250,310);
  maxCount = max(countList);
  for(i = 0; i< maxCount+25; i = i+25){
    text(i, 90 + i, 330);
    line(90+i, 308, 90+i, 312 );
  }

  // Draw y Axis
  line(90, 310, 90, 5);
  for(i = 0; i <= countList.length; i++){
    text(typeList[i], 40, 300 - i*25);
    line(88,310-i*25,92,310-i*25);
  }

  //Draw Bars
  for(i = 0; i< countList.length; i++){
    rect(90, 285 - i*25, countList[i], 20, );
  }

  //Labels
  text("Count of Pokemon", 125,350);

  rotate(HALF_PI);
  text("Pokemon Type", 125,-10);


}